#### PyKDE - Python Bindings for KDE

# class KMdiTaskBarButton |
Table of contents
Modules
kmdi Classes
All Classes

Module | kmdi
Class | KMdiTaskBarButton
Inherits | QPushButton

### methods

- KMdiTaskBarButton (pTaskBar, win_ptr)

  returns a KMdiTaskBarButton instance
  Argument | Type | Default
  --- | --- | ---
  pTaskBar | KMdiTaskBar |
  win_ptr | KMdiChildView |

- actualText ()

  returns (QString)

- buttonTextChanged (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | int |

- clicked (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | KMdiChildView |

- fitText (a0, newWidth)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QString |
  newWidth | int |

- leftMouseButtonClicked (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | KMdiChildView |

- mousePressEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QMouseEvent |

- rightMouseButtonClicked (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | KMdiChildView |

- setNewText (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QString |

- setText (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QString |

### variables

- variables

  Variable | Type
  --- | ---
  m_pWindow | KMdiChildView*